Subject: bug#5364: 23.1.91; execute-extended-command should do like FFAP

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Jan 2010 20:21:48 -0500

> Put the cursor on emacs-version and hit C-h v. One sees:
> Describe variable (default emacs-version):
> Now put the cursor upon (list-load-path-shadows) and hit C-h f. One sees:
> Describe function (default list-load-path-shadows):
> Now put the cursor upon (list-load-path-shadows) and hit M-x. One sees just:
> M-x

Note that M-x is very different from the other two, since what it takes
is a command to execute, where the others only take a function/variable
to look up.  It's very common to want to look up the var/fun at point,
but it's a lot less common to want to run the command at point
(many/most commands operate at point, so for most uses of M-x point is
an argument to the command rather than a way to specify which command to
run.  Another way to say it is that it's rather uncommon to want to
apply a command to its name).

As for how I would do what you want: M-b C-M-SPC M-w followed by M-x C-y RET

        Stefan